package com.rf.psychological.dao.dto;

import com.rf.psychological.security.EncryptDecodeConverter;

import javax.persistence.Convert;

/**
 * @author lpf
 * @description:
 * @date 26/10/2021上午11:18
 */
@JpaDto
public class InstitutionAuthSubjectNameDto {

    //机构权限id
    private String id;

    private String bid;

    private String institutionNo;

    @Convert(converter = EncryptDecodeConverter.class)
    private String description;

    private String ename;

    private String flag;

    private String imageUrl;

    private String isHot;

    private String isNew;

    private String name;

    private int testNum;

    private String type;

    private String uploader;

    private String fileName;

    private String scoringPrinciple;

    private String status;

    private String scaleLimit;

    private int no;

    private String men;

    private String iconInfo;

    private Integer reportVersion;

    public InstitutionAuthSubjectNameDto(String id, String bid, String institutionNo, String description, String ename, String flag, String imageUrl, String isHot, String isNew, String name, int testNum, String type, String uploader, String fileName, String scoringPrinciple, String status, String scaleLimit, int no, String men, String iconInfo, Integer reportVersion) {
        this.id = id;
        this.bid = bid;
        this.institutionNo = institutionNo;
        this.description = description;
        this.ename = ename;
        this.flag = flag;
        this.imageUrl = imageUrl;
        this.isHot = isHot;
        this.isNew = isNew;
        this.name = name;
        this.testNum = testNum;
        this.type = type;
        this.uploader = uploader;
        this.fileName = fileName;
        this.scoringPrinciple = scoringPrinciple;
        this.status = status;
        this.scaleLimit = scaleLimit;
        this.no = no;
        this.men = men;
        this.iconInfo = iconInfo;
        this.reportVersion = reportVersion;
    }

    public InstitutionAuthSubjectNameDto() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getbid() {
        return bid;
    }

    public void setbid(String bId) {
        this.bid = bId;
    }

    public String getInstitutionNo() {
        return institutionNo;
    }

    public void setInstitutionNo(String institutionNo) {
        this.institutionNo = institutionNo;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEname() {
        return ename;
    }

    public void setEname(String ename) {
        this.ename = ename;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getIsHot() {
        return isHot;
    }

    public void setIsHot(String isHot) {
        this.isHot = isHot;
    }

    public String getIsNew() {
        return isNew;
    }

    public void setIsNew(String isNew) {
        this.isNew = isNew;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getTestNum() {
        return testNum;
    }

    public void setTestNum(int testNum) {
        this.testNum = testNum;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUploader() {
        return uploader;
    }

    public void setUploader(String uploader) {
        this.uploader = uploader;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getScoringPrinciple() {
        return scoringPrinciple;
    }

    public void setScoringPrinciple(String scoringPrinciple) {
        this.scoringPrinciple = scoringPrinciple;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getScaleLimit() {
        return scaleLimit;
    }

    public void setScaleLimit(String scaleLimit) {
        this.scaleLimit = scaleLimit;
    }

    public int getNo() {
        return no;
    }

    public void setNo(int no) {
        this.no = no;
    }

    public String getMen() {
        return men;
    }

    public void setMen(String men) {
        this.men = men;
    }

    public String getIconInfo() {
        return iconInfo;
    }

    public void setIconInfo(String iconInfo) {
        this.iconInfo = iconInfo;
    }

    public Integer getReportVersion() {
        return reportVersion;
    }

    public void setReportVersion(Integer reportVersion) {
        this.reportVersion = reportVersion;
    }
}
